Bug 1308891 - s-c-network-tui let you set hostname to anything
s-c-network-tui let you set hostname to anything
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: system-config-network (Show other bugs)
6.9
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Jan Synacek
qe-baseos-daemons
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-16 06:26 EST by Branislav Blaškovič
Modified: 2017-03-30 07:31 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-03-30 07:31:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Branislav Blaškovič 2016-02-16 06:26:59 EST
Description of problem:
We have testHostname() function in package but s-c-network-tui is not using it to check if typed hostname is valid.

Version-Release number of selected component (if applicable):
system-config-network-tui-1.6.0.el6.3-2.el6.noarch

How reproducible:


Steps to Reproduce:
1. Set hostname to "#$%^&"

Actual results:
Everything looks ok and it sets the hostname

Expected results:
It should not let you do this.

Additional info:
We already have proper testHostname() function, which was fixed in BZ#773099
Comment 3 Jan Synacek 2017-03-30 07:31:19 EDT
Red Hat Enterprise Linux 6 shipped it's last Production 2 phase minor
release, RHEL 6.9, on March 21, 2016. On May 10, 2017, RHEL 6 exits
Production 2 phase and moves into Production 3 phase. For RHEL releases
in Production 3 phase, Red Hat will provide critical-impact security
fixes and urgent priority bug fixes for the last minor release but will
not provide any software enhancements or hardware enablement.

This BZ does not appear to meet the Product 3 phase inclusion criteria
described above so is being closed WONTFIX. If this BZ is critical for
your environment, please open a case in the Red Hat Customer Portal,
https://access.redhat.com, provide a thorough business justification and
ask that the BZ be re-opened for consideration. Please note, only
critical-impact security fixes and urgent priority bug fixes will be
considered, and no software enhancements or hardware enablement will be
performed.

Note You need to log in before you can comment on or make changes to this bug.